Subject: Re: SIOCADDMULTI for unicast broken

From: Jeff Garzik <[email-masked]>
Date: Sat, 04 Jan 2003 02:32:54 -0500

I wonder if there are any good uses for more advanced RX filtering that 
is beginning to appear.  I could certainly imagine an interface that was 
a more generic RX filtering interface, and [just by accident] happened 
to support existing unicast and multicast rx-mode-related controls.

As vendors stuff features onto cards and try to figure out where is the 
best dividing line between TCP stack acceleration and TCP stack offload, 
it seems to me that recent cards more often than not have nice RX 
filtering capabilities.  If you look at the world through GigE-colored 
glasses, the RX filtering picture gets even better.  There are some fun 
SMP implications with flexible enough RX filtering, for example.